Subject: Re: [PATCH v2] powernv: kvm: make _PAGE_NUMA take effect

From: Alexander Graf <[email-masked]>
Date: Mon, 07 Apr 2014 10:36:21 +0200

On 07.04.14 09:42, Aneesh Kumar K.V wrote:
> Alexander Graf <[email-masked]> writes:
>
>> On 03.04.14 04:36, Liu ping fan wrote:
>>> Hi Alex, could you help to pick up this patch? since  v3.14 kernel can
>>> enable numa fault for powerpc.
>> What bad happens without this patch? We map a page even though it was
>> declared to get NUMA migrated? What happens next?
> Nothing much, we won't be properly accounting the numa access in the
> host.  What we want to achieve is to convert a guest access of the page to
> a host fault so that we can do proper numa access accounting in the
> host. This would enable us to migrate the page to the correct numa
> node.

Ok, so no breakages, just less performance. I wouldn't consider it 
stable material then :).

Alex